--- title: "Get unique user count" slug: "vpe-api-uniqusercnt" updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-uniqusercnt" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get unique user count Available in Classic and VPC Get the total number of users who attempted playback through the player in chart format. The data interval varies depending on the time span between the start and end points of the query. | Time span between start time and end time | Interval | | --- | --- | | 1 day or less | 5-minute interval | | 2 days or more | 1-day interval | ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /v1/charts/uniqUserCnt | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `device` | String | Optional | Player playback environment - `PC,Mobile` (default) \| `PC` \| `Mobile` | | `videoType` | String | Optional | Playback source type - `VOD,LIVE` (default) \| `VOD` \| `LIVE` - `VOD,LIVE`: VOD video, LIVE stream - `VOD`: VOD video - `LIVE`: LIVE stream | | `startDate` | Date | Optional | Query start date and time - Date format (UTC) | | `endDate` | Date | Optional | Query end date and time - Date format (UTC) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ma-dashboard-api.vpe.naverncp.com/v1/charts/uniqUserCnt?device=PC,Mobile&videoType=VOD,LIVE' \ --header 'x-api-key: {API Key}' \ --header 'x-project-id: {Project id}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.uniqUsers` | Integer | - | Unique user count | | `result.logDate` | Date | - | Date and time | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 200, "message": "uniqUserCnt (1d)", "result": [ { "uniqUsers": 1, "logDate": "2025-10-10 00:00:00" }, { "uniqUsers": 2, "logDate": "2025-10-09 00:00:00" }, { "uniqUsers": 1, "logDate": "2025-10-08 00:00:00" }, { "uniqUsers": 1, "logDate": "2025-10-07 00:00:00" }, { "uniqUsers": 0, "logDate": "2025-10-06 00:00:00" }, { "uniqUsers": 0, "logDate": "2025-10-05 00:00:00" }, { "uniqUsers": 2, "logDate": "2025-10-04 00:00:00" }, { "uniqUsers": 2, "logDate": "2025-10-03 00:00:00" }, { "uniqUsers": 4, "logDate": "2025-10-02 00:00:00" }, { "uniqUsers": 2, "logDate": "2025-10-01 00:00:00" } ] } ```